# perl-Tie-Array-CSV

SMEServer Koozali local git repo for perl-Tie-Array-CSV smeserver

## Documentation
<br />https://metacpan.org/pod/Tie::Array::CSV

## Description
This module allows an array to be tied to a CSV file for reading and writing. The array is a standard Perl 2D array (i.e. an array of array references) which gives access to the row and column of the user's choosing. This is done using the well established modules:

    Tie::File

        arbitrary line access

        low memory use even for large files

    Text::CSV

        row parsing

        row updating

        uses the speedy Text::CSV_XS if installed

This module was inspired by Tie::CSV_File which (sadly) hasn't been maintained. It also doesn't attempt to do any of the parsing (as that module did), but rather passes all of the heavy lifting to other modules.

Note that while the Tie::File prevents the need to read in the entire file, while in use, a parsed row IS held in memory.
